> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Source Sync History

> Get sync history for a knowledge source.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/sources/{source_id}/sync-history
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/sources/{source_id}/sync-history:
    get:
      tags:
        - Sources
      summary: Get Source Sync History
      description: Get sync history for a knowledge source.
      operationId: core_api_v1_controllers_sources_get_source_sync_history
      parameters:
        - in: path
          name: source_id
          schema:
            title: Source Id
            type: string
          required: true
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncHistoryListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    SyncHistoryListOut:
      description: Paginated list of sync history entries.
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/SyncHistoryOut'
          title: Data
          type: array
        has_more:
          title: Has More
          type: boolean
        total:
          title: Total
          type: integer
      required:
        - data
        - has_more
        - total
      title: SyncHistoryListOut
      type: object
    SyncHistoryOut:
      description: Schema for a sync history entry.
      properties:
        object:
          default: sync_history
          title: Object
          type: string
        id:
          title: Id
          type: string
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        started_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Completed At
        documents_synced:
          anyOf:
            - type: integer
            - type: 'null'
          title: Documents Synced
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
      required:
        - id
      title: SyncHistoryOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````